// These function inspired from VueUse's `createEventHook`
export function useSubscribe() {
    const fns = [];
    const on = (fn) => {
        fns.push(fn);
    };
    const trigger = (...args) => {
        fns.forEach((fn) => fn(...args));
    };
    return {
        on,
        trigger,
    };
}
